# Setup

Pentru a simula o retea virtuala vom folosi
[Mininet](http://mininet.org/). Vom avea nevoie de pachetele **mininet**
și **openvswitch-testcontroller** pentru a simula rețeaua și
**python-click** si **python-scapy** pentru checker.

```zsh
sudo apt update
sudo apt install mininet openvswitch-testcontroller tshark python3-click python3-scapy xterm
sudo pip3 install mininet
```

Pentru a avea un font mai mare în terminalele deschise de mininet:

```
echo "xterm*font: *-fixed-*-*-*-18-*" >> ~/.Xresources 
xrdb -merge ~/.Xresources
```

---
**NOTE**

* Pe unele versiuni mai vechi de ubuntu este posibil să
fie nevoie să instalați `python-click` și `python-scapy` fiind folosit
Python 2.
* Din încercarile noastre, Mininet **nu functioneaza** pe Windows Subsystem
for Linux. Este recomandat să folositi Linux nativ sau într-un mediu virtualizat. 

---
