# Colapsul congestiei din 1986

În octombrie 1986, a fost detectată o prăbușire a congestiei pe Internet pe o
legătură de 32 kbps între campusul Universității din California, Berkeley și
Laboratorul Național Lawrence Berkeley, aflat la 400 de metri distanță, în
timpul căreia debitul a scăzut cu un factor de aproape 1.000, ajungând la 40
bps. 

Doi ani mai târziu, Van Jacobson a implementat și publicat algoritmul de
control al congestiei în versiunea Tahoe a TCP, bazată pe o idee a lui Raj Jain,
K.K. Ramakrishnan și Dah-Ming Chiu. Înainte de Tahoe, existau mecanisme în TCP
care împiedicau expeditorii să copleșească receptorii (**Flow Control**), dar nu exista niciun
**mecanism eficient care să împiedice expeditorii să copleșească rețeaua**. Acest
lucru nu a fost o problemă deoarece existau puțini gazde, până la mijlocul
anilor 1980. Până în noiembrie 1986, numărul de gazde a fost estimat să fi
crescut la 5.089, dar majoritatea legăturilor de bază au rămas la 50 - 56 bps
(biți pe secundă) de la începutul ARPANet.

In figura de mai jos gasim reprezentare grafica a traficului care dupa un punct
face colaps.

![](images/congestion_collapse.jpg)

