# Exerciții

-----

**1\.** Vom folosi `telnet -4 telehack.com` pentru a ne conecta
la un **server Telnet**. Telnet este un protocol peste TCP (cu port-ul default 23) care 
permite unui utilizator să interacționeze de la distanță cu un terminal virtual.

> În ceea ce privește conectarea la terminale virtuale, protocolul Telnet îndeplinește funcții similare celor ale protocolul SSH (Secure Shell), pe care probabil l-ați mai întâlnit.

În prompt vom scrie `starwars` și vom apăsa enter.
În cadrul Telnet, atunci când serverul trimite un șir de caractere către client, clientul
îl afișează pe ecran (`stdout`). Dacă totul a mers bine, ar trebui să vedeți
prima scenă din Star Wars în format ASCII.

**2\.** Folosind `Wireshark` analizați traficul generat la exercițiul precedent. Identificați un pachet ce conține bucăți din textul ce apare în terminal.

---
**Note**

O metodă simplă de a selecta traficul generat de comanda de la exercițiul 1 este să selectăm traficul care implică adresa IP a serverului folosind un filtru (hint: `ip.addr == 127.0.0.1`). 

Pentru a afla adresa IP a `telehack.com` putem folosi comanda `host telehack.com`.

> Daca nu aveti utilitarul host, îl puteți instala folosind `apt install dnsutils`.

Tip: De la ce vine acel -4 in comanda de telnet?
Tip: ip.addr vs ipv6.addr

---

**3\.** Pornind de la laboratorul de [Comunicare Inter-proces (IPC) din cursul de SO](https://cs-pub-ro.github.io/operating-systems/IO/lab10#client-server-udp), vom scrie un server și un client care comunică folosind protocolul UDP. Clientul va trimite mesajul `Hello World`, iar server-ul îl va recepționa și afișa la `stdout`. Folosiți Wireshark pentru a captura și analiza pachetul UDP transmis.

> De [aici](code/udp_socket.c) puteți descărca soluția exercițiului cu UDP din laboratorul de la SO ca un singur fișier sursă.

> Tip: Codul de la SO trimite pachetul către propriul nostru calculator, mai exact localhost, 127.0.0.1. Din Wireshark, dacă avem selectată interfața de WiFi nu vom putea vedea aceste pachete, ele nefiind trimise de sistemul de operare către placa de rețea. Va trebui să facem capture pe interfața loopback sau any.

**4\.**  Pentru exersa programarea apeluri low level (apeluri de sistem), scrieți un utilitar
similar cu `cat` în C/C++. Acesta trebuie să afișeze conținutul unui fișier primit ca parametru la `stdout`, folosind API-ul direct peste file descriptors (e.g. read, open).

> Programul trebuie să funcționeze și pentru fișiere mai mari decât buffer-ul în care faceți citirea. Acordați atenție verificării valorilor întoarse de către apelurile de sistem.
