## connect()

În client, după ce am creat socketul, acesta trebuie să se **conecteze
la server** (e.g. sa inițieze și să stabilească un three-way handshake).
Pentru asta vom folosi funcția [connect()](https://beej.us/guide/bgnet/html/#connect):

```c
#include <sys/types.h>
#include <sys/socket.h>

int connect(int sockfd, const struct sockaddr *addr, socklen_t addrlen);
```

1. `sockfd` este un descriptor de fişier obţinut în urma apelului `socket()`, 
1. `addr` este o structură ce conţine portul şi adresa IP ale serverului,
1. `addrlen` reprezint[] dimensiunea celui de-al doilea parametru. 

Rezultatul întors de `connect` este 0 în caz de success și -1 în caz de eroare. 